@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('../fonts/GuyhoquetBold.woff');
* {
    padding: 0;
    margin: 0;
}

body {
    font-family: 'Montserrat', sans-serif!important;
    box-sizing: border-box;
    width: 100%;
}

/* Styles pour la barre de progression */
.progress-bar {
    border: 1px solid #ddd;
    margin-top: 3rem;
    width: 100%;
    background-color: #f1f1f1;
    border-radius: 5px;
    margin-bottom: 20px;
    position: relative;
    height: 2px;
    overflow: visible!important;
    z-index: -1!important;
    margin-bottom: 2rem;
}

.progress {
    position: absolute;
    background-color: #007bff!important;
    width: 0%;
    height: 10px!important;
    border-radius: 0%!important;
    -moz-border-radius: 0px;
    -webkit-border-radius: 0px;
    transition: width 0.3s;
    z-index: -1;
    overflow: visible!important;
    /* display: inline; */
}

/* .bullet-container {
    display: flex;
    justify-content: space-between;
    position: absolute;
    top: 50%;
    left: 0;
    right: 0;
    transform: translateY(-50%);
}

.bullet {
    width: 32px;
    height: 32px;
    border: 2px solid #ddd;
    border-radius: 50%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: #fff;
    color: #ddd;
}

.bullet.completed {
    z-index: 100;
    border-color: #007bff;
    background-color: #007bff;
    transition: all 0.3s;
}

.margin{
    margin-top: 5.5rem;
}

.check{
    display: none;
    transition: all 0.3s;
}

.bullet.completed p{
    color: #171717;
}

.bullet img{
    margin-top: 4rem;
}

.bullet p{
    font-size: 14px;
    font-weight: 500;
    line-height: 24px;
    letter-spacing: 0em;
    text-align: center;
    margin-top: 1.5rem;
    color: #A3A3A3;
}

.confirmed{
    background-color: #007bff;
    border-color: #007bff;
    transition: all 0.3s;
} */

.confirmed p{
    color: #171717;
}


.error {
    margin-top: 0.5em;
    color: #cc0000;
}

input {
    -webkit-border-radius: 0px;
    -moz-border-radius: 0px;
    border-radius: 0px;
}

header{
    width: 100%;
    display: flex;
    background-color: #050D26;
}

.imageheader {
    width: 175px!important;
    height: auto;
    float: left;
    padding: 2rem;
}

input[type="checkbox"],
input[type="radio"],
select,
label {
    cursor: pointer;
}




.red {
    color: #FF0000;
    font-weight: 500;
    font-size: 12px;
}

.option {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-size: 12px;
    margin-top: 1.5%;
}

section {
    width: 100%;
    display: flex;
    flex-direction: row;
    /* justify-content: center; */
    max-height: 100%;
    margin: 0;
    padding: 0;
}

.inputsection {
    margin: 3.5rem auto;
    margin-bottom: 10rem;
    width: 50%;
    display: flex;
    flex-direction: column;
    min-height: 100%;
    /* align-items: center; */
}



/* Bouton */

.step {
    display: none;
}

.step.active {
    display: block;
}

button.next-btn,
button.submit-btn {
    padding: 12px 32px;
    border: none;
    outline: none;
    background-color: #006FFF;
    font-family: 'Montserrat', sans-serif;
    cursor: pointer;
    /* text-align: right; */
    font-weight: 500;
    font-size: 16px;
    line-height: 24px;
    color: #FFFFFF;
    border-radius: 6px;
    max-height: 3rem;
}

button.previous-btn {
    padding: 12px 32px;
    font-family: 'Montserrat', sans-serif;
    cursor: pointer;
    border: none;
    outline: none;
    font-weight: 400;
    font-size: 16px;
    line-height: 19px;
    color: #0060E0;
    background-color: #FFFFFF;
    max-height: 3rem;
    border: 1px solid  #0060E0;
    border-radius: 6px;
    
}

button.submit-btn {
    background-color: #006FFF;
}

.nextprev {
    position: fixed;
    background-color: #FFF;
    width: 100%;
    border-top: 1px solid #D4D4D4;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    margin-top: 10rem;
    padding: 1rem 10.75rem;
    bottom: 0;
    left: 0;

}


input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

#section1,
#section2,
#section3,
#section4,
#section5{
    display:flex;
    flex-direction: column;
}

.titre-section{
    margin-bottom: 1rem;
}

#section2 .titre-section{
    margin-bottom: 2rem;
}

.titre-section h3{
    color: #171717;
    font-size: 24px;
    font-style: normal;
    font-weight: 800;
    line-height: 28px; /* 140% */
    letter-spacing: -0.4px;
    margin-bottom: .5rem;
    font-family: 'GuyhoquetBold', sans-serif;
}

.titre-section h6{
    color:#737373;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 20px; /* 142.857% */
}

/* Section 1 */

body form .step #section1 .inputsection p {
    display: flex;
    justify-content: flex-start;
}

body form .step #section1 .inputsection .choix {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
}

input[type="radio"] {
    display: none;
}

.step-1 p {
    margin-top: 2rem;
}

.step-1 .svg{
    width: fit-content;
    padding: 12px;
    background: #F1F3FF;
    border-radius: 25px;
}

.step-1 input[type=radio]+label {
    padding: 4rem 0;
    width: 50%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    align-self: stretch;
    border-radius: 4px;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    background-color: #fff;
    cursor: pointer;
    fill: #C4C4C4;
    stroke: #C4C4C4;
    transition: 0.35s;
    margin-right: 1.75rem;
    box-shadow: 0px 1px 2px -1px rgba(16, 24, 40, 0.10), 0px 1px 3px 0px rgba(16, 24, 40, 0.10);

}

.step-1 input[type=radio]+label p{
    margin: 0 0 0 .75rem
}

.svgtel {
    display: none;
}

.lettre {
    fill: #C4C4C4;
    stroke: none;
}

.step-1 input[type="radio"]+label .circle {
    stroke: none;
}

.step-1 input[type="radio"]+label svg {
    width: 100%;
}

.step-1 input[type="radio"]:hover+label {
    box-shadow: 3px 4px 4px 0px rgb(0, 0, 0, 0.25);
    transition: 0.35s;
}

.step-1 input[type="radio"]:checked+label {
    stroke: #0060E0;
    border: 1px solid #0060E0;
}

.step-1 input[type="radio"]:checked+label .lettre {
    fill: #050D26;
}

.step-1 input[type="radio"]:checked+label .circle,
.step-1 input[type="radio"]:checked+label .toit {
    fill: #005FFF;
}

.inputlabel {
    display: flex;
    flex-direction: column;
    width: 45%;
}

span {
    cursor: pointer;
}

.number {
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

.minus{
    padding: 10px 16px;
    color: #404040;
    /* Paragraph/Small/Medium */
    font-family: Montserrat;
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: 20px;
    border-radius: 8px 0px 0px 8px;
    border: 1px solid #E5E5E5;
    background:  #FFF;
    /* Drop shadow/XSmall */
    box-shadow: 0px 1px 2px 0px rgba(16, 24, 40, 0.05);
}

.plus{
    padding: 10px 16px;
    color: #404040;
    /* Paragraph/Small/Medium */
    font-family: Montserrat;
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: 20px;
    border-radius: 8px 0px 0px 8px;
    border: 1px solid #E5E5E5;
    background:  #FFF;
    /* Drop shadow/XSmall */
    box-shadow: 0px 1px 2px 0px rgba(16, 24, 40, 0.05);
    border-radius: 0px 8px 8px 0px;
}

.input-step{
    display: flex;
    flex-direction: column;
    margin-top: .75rem;
}

.input-step label,
.step-1 p{
    color: #000;
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 20px; 
}

#section2 input[type="number"],
#section2 select{
    margin-top: 4px;
    padding: 8px 12px;
    border-radius: 6px;
    border: 1px solid #E5E5E5;
    background:  #FFF;
    box-shadow: 0px 1px 2px 0px rgba(16, 24, 40, 0.05);
    color: #000000;
}

#section2 input[type="number"]::placeholder,
#section2 select:invalid{
    color: #A3A3A3!important;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 20px;
}

#section2 option{
    color: #000;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 20px;
}

.groupinput {
    width: 100%;
    display: flex;
    flex-wrap: nowrap;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    margin: 1.75rem 0 0 0;
    /* align-items: center;
        justify-content: center; */
}

.column{
    display: flex;
    flex-direction: column;
}

.groupinput .column small{
    color: #737373;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: 20px; /* 166.667% */
}

.groupinput p {
    display: flex;
    align-items: center;
    margin-bottom: 0;
    width: 100%;
    color: #000;
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 20px; /* 142.857% */
}

.groupinput .number input {
    width: 6rem;
    padding: 10px 16px;
    text-align: center;
    font-size: 14px;
    line-height: 20px;
    font-style: normal;
    font-weight: 500;
    border: 1px solid #E5E5E5;
    display: inline-block;
    vertical-align: middle;
    box-shadow: 0px 1px 2px 0px rgba(16, 24, 40, 0.05);
    border-radius: 0;
}

.iconetext {
    width: 100%;
    margin-top: 3%;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    margin-right: 5%;
}

.iconetext img {
    margin-right: 10px;
}

.m2 {
    display: flex;
    align-items: center;
    flex-direction: row;
    justify-content: flex-end;
}

.inputsection h5 {
    font-weight: 600;
    color: #000000;
}


#section2 .groupinput,
#section .groupinput {
    margin-top: 7%;
}

.etage {
    display: none;
}

.niveau {
    display: none;
}


/* Section 3 */

.facultatifhide {
    display: none;
}

#section4 .titre-section{
    margin-bottom: 1.5rem;
}

input[type="checkbox"] {
    width: 20px;
    height: 20px;
    border-radius: 0%!important;
    -moz-border-radius: 0px;
    -webkit-border-radius: 0px;
    border: 1px solid #C4C4C4;
}

.checkhide {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    padding: .75rem 0;
    width: 100%;
}

.checkhide input[type="checkbox"] {
    margin-right: 30px;
}

.exemple {
    font-size: 14px;
    color: #C4C4C4;
}

.petitdesc {
    margin-top: 5%;
}


#section4 .groupinput {
    width: 100%;
    display: flex;
    flex-wrap: nowrap;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    margin: 0;
}


/* Section 5 */

#section5 .input-step{
    width: 100%;
}

#section5 .input-step:first-child {
    margin-right: 1.25rem;
}

#section5 .input-step:last-child {
    margin-left: 1.25rem;
}

#section5 .groupinput{
    margin-top: .75rem!important;
}

#section5 .groupinput input[type="text"],
#section5 .groupinput input[type="email"],
#section5 .groupinput input[type="tel"] {
    margin-top: 4px;
    width: 100%;
    padding: 8px 12px;
    border-radius: 6px;
    border: 1px solid #E5E5E5;
    background:  #FFF;
    box-shadow: 0px 1px 2px 0px rgba(16, 24, 40, 0.05);
}

#section5 .groupinput select,
#section5 select {
    margin-top: 4px;
    padding: 8px 12px;
    border-radius: 6px;
    border: 1px solid #E5E5E5;
    background:  #FFF;
    color: #000000;
    box-shadow: 0px 1px 2px 0px rgba(16, 24, 40, 0.05);
}

#section5 label,
.ouinon label {
    width: 100%;
    color: #171717;
    /* Paragraph/Small/Medium */
    font-family: Montserrat;
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 20px;
}

.ouinon label {
    margin-top: 1rem;
}

select:invalid,
option[value="#"] {
    color: #A3A3A3!important;
}

.ouinon{
    margin-top: .75rem;
    display: flex;
    flex-direction: column;
}

.téléphone{
    width: 75%!important;
}


#section5 .mini{
    display: flex;
    flex-direction: row;
    margin-top: 2.5rem!important;
}


#section5 .mini label {
    width: 100%;
    color: #171717;
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: 20px; 
    margin-left: .75rem;/* 142.857% */
}

#section5 .mini p{
    color: #171717;
    font-size: 12px;
    font-style: normal;
    font-weight: 500;
    line-height: 20px; /* 166.667% */
}

#section5 .nextprev {
    margin-top: 10%;
}

#section5 input[type="checkbox"]{
    width: 20px!important;
    height: 20px!important;
}

input[type="number"] {
    -moz-appearance: textfield;
    appearance: textfield;
    margin: 0; 
}

/* MEDIA */

@media screen and (min-width: 1920px) {
    /* input[type=radio]+label {
        width: 29%;
    } */
}

@media screen and (max-width: 1200px) {
    .imagesection {
        display: none;
    }
    .content{
        padding: 70px 0;
    }
}

@media screen and (max-width: 1024px) {
    /* input[type=radio]+label {
        width: 24%;
    } */
}

@media screen and (max-width: 768px) {

    .progress{
        margin-top: -1px;
    }
    .content{
        padding: 70px 0;
    }
    .inputsection {
        margin-top: 2rem;
        width: 100%;
        padding: 0 1.5rem;
        margin-bottom: 3rem;
    }

    .nextprev{
        padding: 2rem;
        margin-top: 3rem;
    }

    button.previous-btn {
          padding: 10px 16px;
        font-size: 14px;
        line-height: 20px;
        border-radius: 6px;
        max-height: 3rem;
    }
    button.next-btn,
    button.submit-btn {
        padding: 10px 16px;
        font-size: 14px;
        line-height: 20px;
        border-radius: 6px;
        max-height: 3rem;
    }

    .checkhide {
        padding: .75rem 0;
    }

    .parking{
        margin-bottom: 1rem;
    }

    #section5 .groupinput{
        flex-direction: column;
    }

    #section5 .input-step:first-child {
        margin-right: 0;
    }   
    #section5 .input-step:last-child {
        margin-left: 0;
    }
    #section5 .groupinput input[name="phone"]{
        width: 100%;
    }

    #section5 .groupinput input[name="email"]{
        width: 100%;
    }
    .téléphone{
        width: 100%!important;
    }
    .nextprev{
        position: fixed;
        bottom: 0;
        left: 0;
        width: 100%;
        background-color: #FFF;
    }
    .bullet p{
        display: none;
    }

    .bullet img{
        margin-top: 0;
    }

}

@media screen and (max-width: 500px) {
     .titre-section h3{
        font-size: 18px;
        line-height: 24px; /* 140% */
    }

    select {
        height: 48px;
        color: #A3A3A3;
    }
    :root {
        font-size: 14px;
    }
    .content{
        padding: 70px 0;
    }
    .choix {
        flex-wrap: wrap;
    }
    .step-1 input[type=radio]+label {
        width: 100%;
        margin-top: 3%;
    }
    body {
        font-size: 16px!important;
    }
    button.next-btn,
    button.submit-btn {
        font-size: 14px;
    }
    button.previous-btn {
        font-size: 14px;
    }

    .step-1 .svg{
        max-width: 50px;
    }
    /* Section 2 */
    #section2 .groupinput p {
        width: 100%;
    }
    #section2 .groupinput {
        margin-top: 1.5rem;
        flex-direction: column;
        align-items: flex-start;
    }

    .number {
        margin-top: 1rem;
        justify-content: flex-start;
    }
    #section2 .buttonm2 {
        font-size: 16px;
        padding: 3.5px 13px;
    }
    /* Section 3 */
    .exemple {
        font-size: 10px;
    }
    #section4 .groupinput {
        flex-direction: column;
        align-items: flex-start;
    }
    #section4 .m2 {
        margin-top: 2%;
        justify-content: flex-start;
    }

    /* Section 4 */
    #section5 .groupinput input[type="radio"]+label {
        font-size: 10px;
    }
    #section5 .groupinput p,
    #section5 .groupinput label {
        font-size: 16px;
    }
    #section5 .mini p {
        font-size: 7.5px;
    }
}